Questions tagged [hardware-enablement-stack]

The hardware-enablement-stack (HWE stack) allows to use LTS version with a newer kernel and X stacks

Filter by
Sorted by
Tagged with
0
votes
2answers
61 views

Does the LTS hardware-enablement stack (HWE) contain all regular kernel updates?

The official sources explain the HWE-kernel just as backporting support for newer hardware devices to older LTS releases. But do the HWE-kernels only contain driver/module updates or also all other ...
1
vote
0answers
242 views

Unable to install VirtualBox guest additions on Ubuntu 18.04.4 LTS with HWE -why?

VirtualBox guest tools, a Recurring problem in Ubuntu 18.04 LTS? $ head -n2 /etc/apt/sources.list # deb cdrom:[Ubuntu 18.04.4 LTS _Bionic Beaver_ - Release amd64 (20200203.1)]/ bionic main restricted ...
0
votes
1answer
560 views

Downgrade Ubuntu 18.04.3 kernel to original kernel

On my machine, I run Ubuntu 18.04.3 with kernel version 5.4.0-050400rc5-generic. Unfortunately, VirtualBox and the NVidia drivers seem to have an issue with this kernel version because several compile ...
2
votes
1answer
5k views

Black screen with mouse cursor after 18.04 upgrade

I was upgrading my laptop from 16.04 to 18.04 using the do-release-upgrade command. It downloaded everything and went about unpackaging things and installing them. I was doing this in a virtual ...
2
votes
1answer
3k views

How to enable integrated GPU (with QSV) on Coffee Lake CPU in Ubuntu 18.x

I am so far unable to get Plex/ffmpeg to recognize the integrated GPU in my Core i7-8700 CPU. From my research it appears this is a common issue related to Coffee Lake CPUs, not just this specific ...
6
votes
2answers
4k views

'linux-generic-hwe-18.04' not found after upgrade to 18.04

Since upgrading to 18.04 from 16.04 I have been seeing the following message: ➜ ~ hwe-support-status You have packages from the Hardware Enablement Stack (HWE) installed that are going out of ...
2
votes
1answer
3k views

Ubuntu 18.04 with deprecated Hardware Enablement Stacks

I have upgraded to 18.04 couple of weeks ago and today found out my currently installed HWE is deprecated. hwe-support-status --show-all-unsupported output is: linux-image-3.19.0-59-generic ...
0
votes
0answers
65 views

Software update for HWE_EOL failed; Updater never recovered

Couple weeks ago there's this prompt to update the Hardware Enablement Stack. The exact message says, "New important security and hardware support update. Warning : security update for your current ...
0
votes
2answers
1k views

remove linux-image-generic after installing linux-image-generic-hwe-16.04?

is it safe to remove linux-image-generic after installing linux-image-generic-hwe-16.04? if you don't care about reverting back that is.
3
votes
0answers
52 views

Installing the right manpages for the Xenial HWE stack

I'm on 16.04 with the HWE-stack enabled, meaning kernel 4.10 (4.10.0-37-generic specifically). However, my man pages package is still suck at 4.04: dpkg --list manpages Desired=Unknown/Install/...
0
votes
1answer
7k views

Evolution crashes when looking at contacts - Hardware Enablement Stacks (HWE) issue?

For a few weeks Evolution has always crashed. When I switch to Contacts and double-click on a contact, Evolution crashes and often the whole Ubuntu session (I have to login into Ubuntu again). ...
0
votes
0answers
25 views

Ubuntu 14.04 LTS doesn't detect Lumia 540

The same detects in Ubuntu 16.04 LTS and file transfer becomes easy. I have tried Ubuntu LTS enablement kernel. It ended up in DM crash. However, my question is, how to add it module wise?
0
votes
1answer
344 views

Bumblebee on Ubuntu 16.04LTS with HWE stack [closed]

I'm having issues installing bumblebee on 16.04.2 with HWE stack. I can't satisfy the dependencies for bumblebee because the repository offered libs have the 'hwe' suffix. The GA versions are not ...
4
votes
2answers
3k views

What to do with xserver-xorg-hwe-16.04 after failed upgrade to the HWE packages

I used apt-get install xserver-xorg-hwe-16.04 and upgraded my Xubuntu system to use the HWE packages. The result was very disappointing since the system was taking much too long to start and it froze ...
3
votes
1answer
721 views

Removing left over kernel packages from previous kernel after hwe upgrade

I am using 16.04.2 and I made hwe upgrade(4.8) of kernel and xorg using: sudo apt-get install --install-recommends linux-image-generic-hwe-16.04 xserver-xorg-hwe-16.04 I have cleaned the previous ...
1
vote
1answer
1k views

“Low graphics mode” after 16.04.2 hwe upgrade

I have ran hwe upgrade with(as mentioned here): sudo apt-get install --install-recommends linux-image-generic-hwe-16.04 xserver-xorg-hwe-16.04 After rebooting, I face this message and doesn't let me ...
2
votes
2answers
2k views

Rolling back to non-HWE stack on Ubuntu 16.04.2

I recently updated the Ubuntu 16.04.1 version on my laptop to 16.04.2 and later updated the kernel and xorg to the HWE stack using this command sudo apt-get install --install-recommends xserver-xorg-...
1
vote
1answer
396 views

16.04 to 16.04.2 System is Running in Low Graphics Mode

I'm upgrading my T460s Skylake from 16.04 to 16.04.2, and I'm running into this modal window stating that the system is running in low graphics mode. I've already tried running update/upgrade in a ...
3
votes
2answers
2k views

Xubuntu 16.04.2 no new kernel

Xubuntu 16.04.2 was released yesterday and from the release notes I gathered that for an up-to-date 16.04.{1,2} installation the new kernel would be installed via the Software Updater. However, no ...
3
votes
1answer
705 views

Snapd package conflicts with xorg packages

I wanted to try snapd on ubuntu 14.04, but there was some dependency problems. Apparently systemd conflicts with some xorg/mesa drivers I have installed with the HWE packages. I removed some of them ...
4
votes
2answers
2k views

How to test 16.04.2 HWE?

16.04.2 has a release date in less than two weeks, but I cannot seem to find the hardware enablement packages based on 16.10 anywhere. How can I test the kernel and mesa changes that will arrive in ...
1
vote
1answer
926 views

HWE for 14.04 ended but update to current security-supported stack does not work

I run 14.04 with Hardware Enablement Stack and do want to keep with 14.04 with its current stack. I have: # hwe-support-status --verbose WARNING: Security updates for your current Hardware ...
13
votes
6answers
9k views

How can I use 16.10 Yakkety kernel in 16.04 Xenial?

As 16.10 is getting released, is it possible to use its kernel in 16.04? I know it will be offered in 16.04.2 due on February, but with problems my laptop is having on 16.04 I would rather start ...
1
vote
0answers
243 views

How do I avoid HWE kernel upgrades in 16.04?

I currently have problems with HWE kernel support in 14.04LTS, and I want to head them off when I upgrade to 16.04LTS. According to this page, I'll upgrade to 16.04 point releases automatically ...
1
vote
2answers
3k views

"Security updates for current Hardware Enablement Stack (HWE) ended on 2016-08-04”

Freshly installed 14.04.5 LTS trusty system, 4.2.0-42-generic, fully updated (using Synaptic). Now when I log on I get the title message. And: "There is a graphics stack installed on this system. An ...
4
votes
2answers
2k views

AMD graphics problems after upgrading to 14.0.4.5 with HWE

I got a prompt to install the latest Ubuntu HWE (Hardware Enablement Stack): Without thinking, I clicked Install. After rebooting, I noticed the following issues: My second monitor was black and ...
0
votes
1answer
25 views

Servers with same configuration ended up with different kernels

I have several Ubuntu 14.04 servers that have been installed from the same image. Their hardware is identical and they have same Apt sources configured. I noticed that some of them have kernel of 3....
3
votes
1answer
911 views

Stuck at point-release 14.04.4 (HWE upgrade path issue for 14.04.5 ?)

[ Ubuntu 14.04.4 desktop LTS with automatic updates enabled - boot with BIOS ] When running: $ sudo apt-get update [normal output - no error] $ sudo apt-get -y upgrade Reading package lists... Done ...
0
votes
1answer
77 views

No WiFi after HWE upgrade

First of all, I'm a complete Ubuntu noob. Without thinking I installed the HWE update and now 14.04 won't detect WiFi Even Ethernet isn't detected. I am using my phone to write this. Please suggest a ...
3
votes
1answer
61 views

Lost hardware volume controls after upgrade to 16.04 HWE Stack

I am runnig Ubuntu 14.04 on a Dell XPS 12 laptop. After upgrading to the 16.04 Xenial HWE Stack, the following buttons on the casing stopped working: volume controls ‘windows button’ below the ...
1
vote
1answer
843 views

Network Adapter Problem after Updating HWE

For the past days a message is being displayed prompting for updating the hardware enablement stack. I did install it but after a restart, my wireless began to have problems. It can connect to my ...
4
votes
1answer
1k views

How to disable HWE messages (14.04)

As almost everyone who installed their Ubuntu 14.04 a while ago, I started getting the HWE messages every time. Now, I DO NOT WANT the latest HWE. Opting-out of kernel & graphics drivers updates....
10
votes
4answers
1k views

What steps should I take before performing a release upgrade to avoid problems?

After being notified about the 1404_HWE_EOL, I am considering upgrading an important production system to 16.04.1. I say "important production system" because this is the workstation I use daily at ...
1
vote
0answers
411 views

hwe-support-status is not quite working

I can understand why this is happening. The problem is that it is not able to complete. There is an "unmet dependency" which I am not able to resolve. Any hints? Here are some screenshots: update-...
2
votes
1answer
836 views

Unable to install latest HWE for 14.04

Following the instructions at 1404_HWE_EOL and LTSEnablementStack, I am unable to upgrade my graphics stack. My current HWE stack is out of date as of the fourth, so I'd like to upgrade for security ...
0
votes
1answer
141 views

How Can I Preview the 16.04 XOrg on Ubuntu 14.04

I wanted to try out the new hardware enablement stack (14.04.5) on my Trusty Tahr machine to get a taste of the new kernel and XOrg from 16.04, however only the new kernels are available in the ...
0
votes
3answers
2k views

How to make sure I stay on Linux kernel version 3.13 (Ubuntu 14.04)?

I just did a fresh install of Ubuntu 14.04 yesterday, because my WiFi adapter is not supported in 16.04. I am told this is likely due to the Linux kernel. In order for my computer's WiFi adapter to ...
0
votes
1answer
115 views

Conflicting point release versions

I am running Ubuntu GNOME on my desktop. The following two commands give me different outputs about what my point release version is: $ uname -a Linux <hostname> 3.16.0-62-generic #82~14.04.1-...
0
votes
1answer
396 views

Can someone explain the HWE stack LTS package suffixes (e.g. -lts-utopic)?

Can someone explain to me the LTS package postfixes/suffixes for some packages? I've done the HWE stack upgrades to get a newer kernel. For example, in my package manager, a number of variants for ...
4
votes
3answers
2k views

LTS Enablement Stack on Trusty has unmet depencies

I have Ubuntu 14.04 (kernel 3.19.0-49) and I would like to install the latest LTS Enablement Stack to access kernel 4+. According to the wiki, I need to do $ sudo apt-get install --install-...
19
votes
1answer
6k views

How to tell if my system is “multiarch”?

Per the LTS Enablement Stack wiki, "to install the newer HWE kernel derived from 15.10 (Wily)" there is a different set of packages to install depending on whether a system is multiarch or not. How ...
2
votes
0answers
831 views

Install packages from LTS Hardware Enablement Stack for Ubuntu 14.04.3 has unmet dependancies

I was able to install the new kernel,3.19, however, when I try to get the new packages for the hardware enablement stack and attempt this command sudo apt-get install --install-recommends linux-...
0
votes
1answer
533 views

Ubuntu 14.04 install hardware enablement stack for kernel beyond 3.13.x?

I know there are tons of documents online talking about hardware enablement stack, I also know the theory for LTS to get more closer kernel and X library, so does it means I CAN NOT install kernel ...
0
votes
1answer
43 views

kernel roll-out roster for Ubuntu

Where can I find the roll-out roster for the Ubuntu kernel, showing both GA and HWE versions of linux-image kernels? Ideally there should be (somewhere) a maintained table with Ubuntu realease ...
0
votes
1answer
180 views

How long do HWE kernels maintain/support in Ubuntu?

I tried 3.19.x.x.lts-vivid kernel and it doesn't seem to work with my hardware as I cannot build a module for my Nvidia graphic card and there are also similar bug reports submitted and confirmed to ...
0
votes
1answer
202 views

Upgrade hardware enablement stack but retain kernel

Ubuntu 14.04.01 According to official documentation, upgrading the hardware enablement stack in Ubuntu to utopic-lts upgrades the kernel and xorg. I only want to upgrade xorg to correct a display ...
5
votes
1answer
744 views

How do I opt in to Early Preview of LTS enablement stack?

As explained in the wiki article LTS Enablement Stacks, The Ubuntu LTS enablement stacks provide newer kernel and X support for existing LTS releases. These can be installed manually, or are ...
5
votes
1answer
1k views

How long after release will the last LTS get a HWE kernel?

The Vivid release is just around the corner so as a 14.04 user I'm curious to know when there'll be a supported kernel upgrade available. I have several machines running on Utopic's kernel and I'll ...
3
votes
1answer
1k views

apt-get install is removing a LOT of packages when installing libsdl2-dev, 14.04.2 with HWE

I have a 14.04.2 x86_64 system with HWE installed. I am wanting to install the package libsdl2-dev. Initially I got the following error: $:~/programming/SMD/dgen/dgen-sdl-1.33$ sudo apt-get ...
1
vote
3answers
4k views

Cannot use Steam after upgrade Trusty 14.04.1 to the 14.04.2 HWE

sudo apt-get install libgl1-mesa-glx:i386 Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you ...